/**\file esempio.c
 * \brief Contiene esempi di utilizzo della libreria.
 *
 *Questo file contiene tre semplici esempi di utilizzo della libreria: l'eco di un carattere, l'eco di una stringa, l'eco di un numero reale (`double`)*/

//
//  esempio.c
//  Prog1
//
//  Created by Vincenzo Marra on 23/03/14.
//  Copyright (c) 2014 Vincenzo Marra. All rights reserved.
//

#include "IO.h"

int main(void)
{
    
    /* eco di un carattere */
    
    printf("Inserisci un carattere: ");
    char c;
    
    if ( !(c=leggi_car()) )
    { 
        printf("Errore IO\n");
        return -1;
    }
    
    /* eco di una stringa */
    
    String str;
    
    if ( !(leggi_str("Inserisci una stringa: ",str)) )
    {
        printf("Errore IO\n");
        return -1;
    }

    printf("%s\n",str);
    
    /* eco di un double */

    printf("%g\n",leggi_double("Inserisci una numero reale: "));
    
    return 0;
}

